/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

//
// import
//

@import 'utils/_variables';
@import 'vendor/normalize';
// Include normalize
@include nuiverse-normalize;

@if ($fira-go == 'true') {
  @font-face {
    font-family: 'FiraGO Regular';
    font-weight: 400;
    src: url('../fonts/FiraGo-Regular.woff') format('woff');
  }
  @font-face {
    font-family: 'FiraGO Bold';
    font-weight: 400;
    src: url('../fonts/FiraGo-Bold.woff') format('woff');
  }
  @font-face {
    font-family: 'FiraGO Bold Italic';
    font-weight: 400;
    src: url('../fonts/FiraGO-BoldItalic.woff') format('woff');
  }
  @font-face {
    font-family: 'FiraGO Italic';
    font-weight: 400;
    src: url('../fonts/FiraGO-Italic.woff') format('woff');
  }
  @font-face {
    font-family: 'FiraGO Medium Italic';
    font-weight: 400;
    src: url('../fonts/FiraGO-MediumItalic.woff') format('woff');
  }
  @font-face {
    font-family: 'FiraGO Light';
    font-weight: 400;
    src: url('../fonts/FiraGO-Light.woff') format('woff');
  }
  @font-face {
    font-family: 'FiraGO Light Italic';
    font-weight: 400;
    src: url('../fonts/FiraGO-LightItalic.woff') format('woff');
  }
}

//
// Default html style
//
html {
  box-sizing: border-box;
  font-size: $font-size-global;
  overflow-x: hidden;
  overflow-y: auto;
  text-rendering: optimizeLegibility;
  text-size-adjust: 100%;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

// Default body style
body {
  background-color: $body-default-color;
  color: $body-font-color;
  font-family: $body-font-family;
  font-weight: $global-weight-normal;
  line-height: $global-line-height;
  margin: 0;
  padding: 0;
}

// Button global style
button {
  appearance: none;
  background: transparent;
  border: 0;
  border-radius: $global-border-radius;
  cursor: $global-button-cursor;
  line-height: 1;
  outline: none;
  padding: 0;
}

// Make sure textarea takes on height automatically
textarea {
  border-radius: $global-border-radius;
  height: auto;
  min-height: 50px;
}

// Make select elements are 100% width by default
select {
  border-radius: $global-border-radius;
  box-sizing: border-box;
  width: 100%;
}

// Prevent text overflow on pre
pre {
  overflow: auto;
}

// Extra

// Make reset inherit font-family instead of settings sans-serif
button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  outline: none;
}

blockquote,
body,
dd,
dl,
dt,
fieldset,
figure,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
html,
iframe,
legend,
li,
ol,
p,
pre,
textarea,
ul {
  margin: 0;
  padding: 0;
}

blockquote,
body,
dd,
dl,
dt,
fieldset,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
html,
legend,
li,
ol,
p,
pre,
textarea,
ul,
span {
  font-weight: 400;
}

p {
  margin-bottom: 1rem;
  margin-top: 0;
}

// Inputs

/* stylelint-disable */
input[type='text'],
input[type='password'],
input[type='email'],
input[type='file'],
textarea {
  background-color: #fafafa;
  border-color: #cbcbcb;
  border-radius: $global-border-radius;
  border-style: solid;
  border-width: 1px;
  padding: $padding-base-y $padding-base-x;
  
  @if ($fira-go == 'true') {
    font-family: 'FiraGo Regular';
  }

  &::placeholder {
    color: #aab2ba;
    @if ($fira-go == 'true') {
      font-family: 'FiraGo Italic';
    } @else {
      font-style: italic;
    }
    opacity: 1;
  }

  &:focus,
  &:active {
    background-color: $white;
    color: #5F5F5F;
    border-color: $primary;
  }
}

select,
.custom-file-label {
  background-color: #fafafa;
  border-color: #cbcbcb;
  border-radius: $global-border-radius;
  border-style: solid;
  border-width: 1px;
  color: #5F5F5F;
  font-style: italic;
  opacity: 1;
  padding: $padding-base-y $padding-base-x;


  &:focus,
  &:active {
    background-color: $white;
    border-color: $primary;
  }
}

/* stylelint-enable */

label {
  display: inline-block;
  margin-bottom: $margin-sm-y;
}

.small {
  font-size: 12px;
  padding: $padding-sm-y $padding-sm-x !important;
}

.medium {
  font-size: 12px;
  padding: $padding-md-y $padding-md-x !important;
}

.large {
  font-size: 12px;
  padding: $padding-lg-y $padding-lg-x !important;
}

.extra-large {
  font-size: 12px;
  padding: $padding-big-y $padding-big-x !important;
}

a {
  color: $primary;
  text-decoration: none;
  
  &:hover {
    color: darken($primary, 10%);
  }
}
